
Name: orca
Version: 2.22.3
Release: alt3.M41.1

Summary: A screen reader that provides access to the GNOME desktop by people with visual impairments
License: LGPL
Group: Accessibility
URL: http://live.gnome.org/Orca
Requires: voiceman

Source0: %name-%version.tar.bz2
Source1: orca-servers

Patch0: orca-2.22.3-alt-desktop-file.patch
Patch1: orca-2.22.3-alt-emacspeak.patch
Patch2: orca-2.22.3-alt-voiceman.patch

Packager: Michael Pozhidaev <msp@altlinux.ru>

# Automatically added by buildreq on Mon Jun 02 2008 (-bi)
BuildRequires: gcc-c++ glib2-devel gnome-mag gnome-speech gnome-terminal perl-XML-Parser python-devel python-module-pygnome-bonobo python-modules-compiler xmodmap

%add_python_req_skip GNOME GNOME__POA

%description
A flexible, scriptable, extensible screen reader for the GNOME platform
that provides access via speech synthesis, braille, and magnification.
Use gnome-default package to prepare GNOME for using with Orca. There can be problems 
if only gnome-minimal is installed.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

install -pD -m644 %SOURCE1 %buildroot%_datadir/%name/emacspeak-servers/.servers
ln -s /usr/bin/voiceman-espeak %buildroot%_datadir/%name/emacspeak-servers/voiceman
install -d -m 755 %buildroot%_sysconfdir/%name
ln -s %_datadir/%name/emacspeak-servers %buildroot%_sysconfdir/%name/servers

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/orca
%dir %python_sitelibdir/orca
%python_sitelibdir/orca/
%_datadir/applications/*
%_datadir/icons/hicolor/*/apps/orca.png
%_datadir/icons/hicolor/scalable/apps/orca.svg
%_man1dir/*
%dir %_datadir/orca
%_datadir/orca/*
%_sysconfdir/orca

%changelog
* Thu Oct 16 2008 Michael Pozhidaev <msp@altlinux.ru> 2.22.3-alt3.M41.1
- 4.1/branch release

* Fri Sep 05 2008 Michael Pozhidaev <msp@altlinux.ru> 2.22.3-alt4
- Added voiceman support
- Added fake directory with emacspeak servers

* Sat Aug 30 2008 Michael Pozhidaev <msp@altlinux.ru> 2.22.3-alt3
- New maintaner

* Fri Jul 11 2008 Igor Zubkov <icesik@altlinux.org> 2.22.3-alt2
- fix desktop file

* Sat Jul 05 2008 Igor Zubkov <icesik@altlinux.org> 2.22.3-alt1
- 2.22.2 -> 2.22.3

* Sun Jun 01 2008 Igor Zubkov <icesik@altlinux.org> 2.22.2-alt1
- 2.19.6 -> 2.22.2

* Sat Aug 25 2007 Michael Pozhidaev <msp@altlinux.ru> 2.19.6-alt0.4
- First testing unstable AltLinux version.

* Sat Feb 03 2007 Willie Walker <william.walker@sun.com>
- Add libgail-gnome dependency.
* Thu Aug 03 2006 Willie Walker <william.walker@sun.com>
- Add orca.png and orca.desktop files.
* Tue Jul 11 2006 Willie Walker <william.walker@sun.com>
- Fix "pyborit" typo.
* Mon May 15 2006 Willie Walker <william.walker@sun.com>
- More tweaking.
* Fri May 12 2006 Willie Walker <william.walker@sun.com>
- Well, try again.  Third time is a charm?
* Thu May 04 2006 Willie Walker <william.walker@sun.com>
- One more attempt at getting the dependencies right.
* Tue Apr 25 2006 Willie Walker <william.walker@sun.com>
- Update for new preferences settings mechanism (remove orca-setup.in)
* Mon Oct 17 2005 Willie Walker <william.walker@sun.com>
- Update for 0.2.0.
